<template>
  <div>
    <v-row justify="center">
      <v-col cols="12" sm="8" md="6">
        <v-card class="elevation-5">
          <v-card-title class="text-h5 lighten-2"
            >Calculator GRADE</v-card-title
          >
          <v-card-text>
            <v-text-field
              label="Enter number"
              v-model="number"
              type="number"
              outlined
            ></v-text-field>
          </v-card-text>
          <v-card-actions>
            <v-btn color="success" @click="cllculate()">Calculate</v-btn>
            <v-btn color="error" @click="clearFields">Clear</v-btn>
          </v-card-actions>
          <v-divider></v-divider>
          <v-card-text class="text-h6">Result: {{ resultGrade }}</v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </div>
</template>

<script>
export default {
  data() {
    return {
      number: "",
      resultGrade: "",
    };
  },
  methods: {
    cllculate() {
      let grade = Number(this.number);
      if (grade > 0 && grade <= 100) {
        if (grade >= 80) {
          this.resultGrade = "A";
        } else if (grade >= 70) {
          this.resultGrade = "B";
        } else if (grade >= 60) {
          this.resultGrade = "C";
        } else if (grade >= 50) {
          this.resultGrade = "D";
        } else {
          this.resultGrade = "F";
        }
      } else {
        alert("Please enter a number between 0 and 100!");
      }
    },
    clearFields() {
      this.number = "";
      this.resultGrade = "";
    },
  },
};
</script>

<style></style>
